// Sketch for the BV VT100 type LCD boards
#include <BSerial.h>
#include <vt100.h>

#define rxPin 5
#define txPin 4

VT100 bv(rxPin, txPin);

void setup()  {
  bv.begin(9600,0,'*');
}

// hello world program for the BV4308
void loop() {
char b[10];
int j, maxc=9; 
  bv.puts("\e[2J"); // clear screen
  bv.puts("Hello World");
  delay(200); // BV4308 is slow device
  bv.cmds("\e[9c",b,maxc);
  bv.puts("\e[2;1HVersion=");
  bv.puts(b);
  while(1); // wait here
}



